org.apache.ignite.internal.processors.cache.persistence.file

## Interface FilePageStoreFactory

All Known Implementing Classes:
  FileVersionCheckingFactory

    public interface FilePageStoreFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`FilePageStore` `createPageStore(byte type, File file, AllocatedPageTracker allocatedTracker)` Creates instance of FilePageStore based on given file.

### Method Detail

#### createPageStore

    FilePageStore createPageStore(byte type,
                                  File file,
                                  AllocatedPageTracker allocatedTracker)
                           throws IgniteCheckedException

Creates instance of FilePageStore based on given file.

Parameters:
  `type` - Data type, can be `PageIdAllocator.FLAG_IDX` or `PageIdAllocator.FLAG_DATA`.
  `file` - File Page store file.
Throws:
  `IgniteCheckedException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018